DeepStream installation issue

Hi All,
I just installed jetpack 5.0, from sdk manager on my xavier agx. My aim is to try out sample applications of DeepStream SDK. I am following instructions from here to install DS6.0. Is this the correct link to follow for installing 6.0 ?

I am getting this with very first instruction that I try to run from the link above.

nvidia@nvidia-desktop:/opt/nvidia/deepstream/deepstream-6.0/samples$ sudo apt install libssl1.0.0
[sudo] password for nvidia: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package libssl1.0.0 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libssl1.0.0' has no installation candidate
nvidia@nvidia-desktop:/opt/nvidia/deepstream/deepstream-6.0/samples$ sudo apt install libjansson4=2.11-1
[sudo] password for nvidia: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Version '2.11-1' for 'libjansson4' was not found

If I try to get past these issues and continue with remainder of the steps to install DS6.0, I get following error while running the DS sample app -

nvidia@nvidia-desktop:/opt/nvidia/deepstream/deepstream-6.0/samples$ ../bin/deepstream-app -c configs/deepstream-app/source8_1080p_dec_infer-resnet_tracker_tiled_display_fp16_tx1.txt 

(deepstream-app:6226): GLib-GObject-CRITICAL **: 17:37:32.203: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(deepstream-app:6226): GLib-GObject-CRITICAL **: 17:37:32.203: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(deepstream-app:6226): GLib-GObject-CRITICAL **: 17:37:32.204: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(deepstream-app:6226): GLib-GObject-CRITICAL **: 17:37:32.204: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(deepstream-app:6226): GLib-GObject-CRITICAL **: 17:37:32.204: g_object_set: assertion 'G_IS_OBJECT (object)' failed

(deepstream-app:6226): GLib-GObject-CRITICAL **: 17:37:32.204: g_object_set: assertion 'G_IS_OBJECT (object)' failed
** ERROR: <create_render_bin:99>: Failed to create 'sink_sub_bin_sink1'
** ERROR: <create_render_bin:176>: create_render_bin failed
** ERROR: <create_sink_bin:781>: create_sink_bin failed
** ERROR: <create_processing_instance:815>: create_processing_instance failed
** ERROR: <create_pipeline:1326>: create_pipeline failed
** ERROR: <main:688>: Failed to create pipeline
Quitting
App run failed

Please help with install instructions for DS6.0. I believe my installation did not go well.

Thanks

Upcoming DeepStream SDK 6.1 release will support JetPack5.0 Developer Preview

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.